Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDPATIENTWILLvalues

java.lang.Object
java.lang.Enum<CDPATIENTWILLvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDPATIENTWILLvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDPATIENTWILLvalues>`, `java.lang.constant.Constable`

public enum CDPATIENTWILLvalues extends Enum<CDPATIENTWILLvalues>

Java class for CD-PATIENTWILLvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-PATIENTWILLvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ntbr"/>
         <enumeration value="bloodtransfusionrefusal"/>
         <enumeration value="intubationrefusal"/>
         <enumeration value="euthanasiarequest"/>
         <enumeration value="vaccinationrefusal"/>
         <enumeration value="organdonationconsent"/>
         <enumeration value="datareuseforclinicalresearchconsent"/>
         <enumeration value="datareuseforclinicaltrialsconsent"/>
         <enumeration value="clinicaltrialparticipationconsent"/>
         <enumeration value="omissionofmedicaldata"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOODTRANSFUSIONREFUSAL`
  `CLINICALTRIALPARTICIPATIONCONSENT`
  `DATAREUSEFORCLINICALRESEARCHCONSENT`
  `DATAREUSEFORCLINICALTRIALSCONSENT`
  `EUTHANASIAREQUEST`
  `INTUBATIONREFUSAL`
  `NTBR`
  `OMISSIONOFMEDICALDATA`
  `ORGANDONATIONCONSENT`
  `VACCINATIONREFUSAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDPATIENTWILLvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDPATIENTWILLvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDPATIENTWILLvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NTBR

    public static final CDPATIENTWILLvalues NTBR

  - ### BLOODTRANSFUSIONREFUSAL

    public static final CDPATIENTWILLvalues BLOODTRANSFUSIONREFUSAL

  - ### INTUBATIONREFUSAL

    public static final CDPATIENTWILLvalues INTUBATIONREFUSAL

  - ### EUTHANASIAREQUEST

    public static final CDPATIENTWILLvalues EUTHANASIAREQUEST

  - ### VACCINATIONREFUSAL

    public static final CDPATIENTWILLvalues VACCINATIONREFUSAL

  - ### ORGANDONATIONCONSENT

    public static final CDPATIENTWILLvalues ORGANDONATIONCONSENT

  - ### DATAREUSEFORCLINICALRESEARCHCONSENT

    public static final CDPATIENTWILLvalues DATAREUSEFORCLINICALRESEARCHCONSENT

  - ### DATAREUSEFORCLINICALTRIALSCONSENT

    public static final CDPATIENTWILLvalues DATAREUSEFORCLINICALTRIALSCONSENT

  - ### CLINICALTRIALPARTICIPATIONCONSENT

    public static final CDPATIENTWILLvalues CLINICALTRIALPARTICIPATIONCONSENT

  - ### OMISSIONOFMEDICALDATA

    public static final CDPATIENTWILLvalues OMISSIONOFMEDICALDATA

- ## Method Details

  - ### values

    public static CDPATIENTWILLvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDPATIENTWILLvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDPATIENTWILLvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.